Package twisted :: Package internet :: Module unix :: Class Client |
[show private | hide private]
[frames | no frames]

## Class Client

        Logger --+
                 |
     Ephemeral --+
                 |
    FileDescriptor --+
                     |
            Connection --+
                         |
                BaseClient --+
                             |
                            Client

A client for Unix sockets.

Method Summary
| `__init__(self, filename, connector, reactor)`
| `__getstate__(self)` (inherited from `Ephemeral`)
| `__setstate__(self, state)` (inherited from `Ephemeral`)
| ``connectionLost`(self, reason)` See abstract.FileDescriptor.connectionLost(). (inherited from `BaseClient`)
| ``createInternetSocket`(self)` (internal) Create a non-blocking socket using self.addressFamily, self.socketType. (inherited from `BaseClient`)
| ``doConnect`(self)` I connect the socket. (inherited from `BaseClient`)
| ``doRead`(self)` Calls self.protocol.dataReceived with all available data. (inherited from `Connection`)
| ``doWrite`(self)` Called when data is available for writing. (inherited from `FileDescriptor`)
| `failIfNotConnected(self, err)` (inherited from `BaseClient`)
| ``fileno`(self)` File Descriptor number for select(). (inherited from `FileDescriptor`)
| `getHost(self)`
| `getPeer(self)`
| `getTcpNoDelay(self)` (inherited from `Connection`)
| ``logPrefix`(self)` Return the prefix to log with when I own the logging thread. (inherited from `Connection`)
| ``loseConnection`(self)` Close the connection at the next available opportunity. (inherited from `FileDescriptor`)
| `pauseProducing(self)` (inherited from `FileDescriptor`)
| ``registerProducer`(self, producer, streaming)` Register to receive data from a producer. (inherited from `FileDescriptor`)
| `resolveAddress(self)` (inherited from `BaseClient`)
| `resumeProducing(self)` (inherited from `FileDescriptor`)
| `setTcpNoDelay(self, enabled)` (inherited from `Connection`)
| ``startReading`(self)` Start waiting for read availability. (inherited from `FileDescriptor`)
| `startTLS(self, ctx, client)` (inherited from `BaseClient`)
| ``startWriting`(self)` Start waiting for write availability. (inherited from `FileDescriptor`)
| ``stopConnecting`(self)` Stop attempt to connect. (inherited from `BaseClient`)
| ``stopConsuming`(self)` Stop consuming data. (inherited from `FileDescriptor`)
| `stopProducing(self)` (inherited from `FileDescriptor`)
| ``stopReading`(self)` Stop waiting for read availability. (inherited from `FileDescriptor`)
| ``stopWriting`(self)` Stop waiting for write availability. (inherited from `FileDescriptor`)
| ``unregisterProducer`(self)` Stop consuming data from a producer, without disconnecting. (inherited from `FileDescriptor`)
| ``write`(self, data)` Reliably write some data. (inherited from `FileDescriptor`)
| `writeSequence(self, iovec)` (inherited from `FileDescriptor`)
| ``writeSomeData`(self, data)` Connection.writeSomeData(data) -> #of bytes written | CONNECTION_LOST This writes as much data as possible to the socket and returns either the number of bytes read (which is positive) or a connection error code (which is negative) (inherited from `Connection`)
| ``_closeSocket`(self)` Called to close our socket. (inherited from `Connection`)
| ``_finishInit`(self, whenDone, skt, error, reactor)` Called by base classes to continue to next stage of initialization. (inherited from `BaseClient`)
| ``_postLoseConnection`(self)` Called after a loseConnection(), when all data has been written. (inherited from `FileDescriptor`)
| `_setRealAddress(self, address)` (inherited from `BaseClient`)
| `_startTLS(self)` (inherited from `Connection`)

Class Variable Summary
`int` | `addressFamily`
`int` | `REQ_FLAGS`
`int` | `socketType`

Class Variable Details

    ### addressFamily Type: `int` Value:
        1

    ### REQ_FLAGS Type: `int` Value:
        49536

    ### socketType Type: `int` Value:
        1

Generated by Epydoc 1.1 on Thu May 8 13:18:30 2003 | http://epydoc.sf.net